Skip to main content
GET
/
invoices
/
{id}
/
pdf
Rechnungs-PDF abrufen
curl --request GET \
  --url https://api.comstruct.com/v1/invoices/{id}/pdf \
  --header 'X-API-Key: <api-key>'
"<string>"

Documentation Index

Fetch the complete documentation index at: https://developer.comstruct.com/llms.txt

Use this file to discover all available pages before exploring further.

By default returns raw PDF bytes. With ?annotations=true, returns JSON: base64 PDF, metadata (invoice, document, file ids), and annotations matching GET /invoices/{id}/items (including positions for overlays).

Authorizations

X-API-Key
string
header
required

API-Schlüssel zur Authentifizierung. Kontaktieren Sie Ihren Customer Success Manager, um einen API-Schlüssel zu erhalten.

Jeder Endpunkt erfordert spezifische Berechtigungen (Scopes); die erforderlichen Scopes werden pro Endpunkt angezeigt.

Path Parameters

id
integer
required

Rechnungs-ID (Integer). Hinweis: Die in Listenantworten zurückgegebene ID ist ein String (z.B. "123"), kann aber direkt im Pfadparameter verwendet werden. Die API parst den String automatisch zu einem Integer.

Query Parameters

annotations
boolean
default:false

Wenn true, ist die Antwort JSON mit pdf_base64, metadata und annotations (Zeilenpositionen).

Response

PDF-Bytes oder JSON-Bundle

The response is of type file.